package com.ruoyi.platform.domain;

import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.io.Serializable;

/**
 * (WorkflowParam)实体类
 *
 * @author Xidaray
 * @since 2024-03-18 15:48:42
 */
@JsonNaming(PropertyNamingStrategy.SnakeCaseStrategy.class)
@ApiModel("流水线参数对象")
public class WorkflowParam implements Serializable {
    private static final long serialVersionUID = -96152285866099549L;
/**
     * 主键
     */
    @ApiModelProperty(name = "id")
    private Integer id;
/**
     * 流水线id
     */
    @ApiModelProperty(value = "对应流水线id",required = true)
    private Long workflowId;
/**
     * 参数名称
     */
    @ApiModelProperty(value = "参数名称",required = true)
    private String paramName;
/**
     * 参数描述
     */

    @ApiModelProperty(value = "参数描述",required = true)
    private String description;
/**
     * 参数类型，1字符串，2整形，3布尔型
     */

    @ApiModelProperty(value = "参数类型",required = true)
    private Integer paramType;
/**
     * 参数的值
     */
    @ApiModelProperty(value = "参数的值",required = true)
    private String paramValue;
/**
     * 0失效，1生效
     */
    @ApiModelProperty(value = "是否敏感",required = true)
    private Integer isSensitive;
/**
     * 创建者
     */
    private String createBy;
/**
     * 创建时间
     */
    private Date createTime;
/**
     * 更新者
     */
    private String updateBy;
/**
     * 更新时间
     */
    private Date updateTime;
/**
     * 0失效，1生效
     */
    private Integer state;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Long getWorkflowId() {
        return workflowId;
    }

    public void setWorkflowId(Long workflowId) {
        this.workflowId = workflowId;
    }

    public String getParamName() {
        return paramName;
    }

    public void setParamName(String paramName) {
        this.paramName = paramName;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Integer getParamType() {
        return paramType;
    }

    public void setParamType(Integer paramType) {
        this.paramType = paramType;
    }

    public String getParamValue() {
        return paramValue;
    }

    public void setParamValue(String paramValue) {
        this.paramValue = paramValue;
    }

    public Integer getIsSensitive() {
        return isSensitive;
    }

    public void setIsSensitive(Integer isSensitive) {
        this.isSensitive = isSensitive;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

}

